<?xml version="1.0" encoding="UTF-8"?>
<apis>
    <api>
        <methodName>获取产品类型及对应产品列表</methodName>
        <sort>2001</sort>
        <businessMethod>ERP_ProductTypeList</businessMethod>
        <tokenFrom></tokenFrom>
        <pageFrom></pageFrom>
        <paramOnly></paramOnly>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>无参数</paramComment>
                <!-- 参数名称 -->
                <paramKey>noParam</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>获取产品中心产品参数列表</methodName>
        <sort>2002</sort>
        <businessMethod>ProductParameter_Center_View</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>

        </params>

        <!-- 类说明，文档会生成类的说明表格 -->
        <webApiBean>com.sdtool.common.entity.product.ProductParameter</webApiBean>
    </api>

    <api>
        <methodName>同步产品中心产品参数</methodName>
        <sort>2003</sort>
        <businessMethod>ProductParameter_Center_Down</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>

        </params>
    </api>

    <api>
        <methodName>获取产品中心产品档案列表</methodName>
        <sort>2004</sort>
        <businessMethod>Product_Center_View</businessMethod>
        <tokenFrom/>
        <pageFrom>1</pageFrom>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>查询关键字</paramComment>
                <!-- 参数名称 -->
                <paramKey>keyWord</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>String</paramKind>
            </param>
        </params>

        <!-- 类说明，文档会生成类的说明表格 -->
        <webApiBean>com.sdtool.common.entity.product.ProductInfo</webApiBean>
    </api>

    <api>
        <methodName>下载产品中心产品档案</methodName>
        <sort>2005</sort>
        <businessMethod>Product_Center_Down</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>产品中心产品档案id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idProduct</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>

    </api>

    <api>
        <methodName>复制产品档案</methodName>
        <sort>2006</sort>
        <businessMethod>Product_Copy</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>产品档案id</paramComment>
                <!-- 参数名称 -->
                <paramKey>idProduct</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
    </api>

    <api>
        <methodName>刷新产品档案缓存</methodName>
        <sort>2007</sort>
        <businessMethod>Product_Cache_Refresh</businessMethod>
        <tokenFrom/>
        <pageFrom/>

        <paramOnly/>
        <!--
            参数信息，
        -->
        <params>

        </params>
    </api>

    <api>
        <methodName>删除产品档案</methodName>
        <sort>2006</sort>
        <businessMethod>Product_FinalDelete</businessMethod>
        <tokenFrom/>
        <pageFrom/>
        <paramOnly/>
        <params>
            <param>
                <!-- 参数说明 -->
                <paramComment>产品中心产品档案id</paramComment>
                <!-- 参数名称 -->
                <paramKey>id</paramKey>
                <!-- 参数类型 "Integer", "Long", "Double", "Float", "Boolean", "String" 为基础类型 -->
                <paramKind>Long</paramKind>
            </param>
        </params>
    </api>
</apis>